
// -*- C++ -*-

// (c) COPYRIGHT URI/MIT 1994-1996
// Please read the full copyright statement in the file COPYRIGH.  
//
// Authors:
//      reza            Reza Nekovei (reza@intcomm.net)

// DSP sub-class implementation for DSPByte,...DSPGrid.
// The files are patterned after the subcalssing examples 
// Test<type>.c,h files.
//
// ReZa 8/25/96

/* $Log: DSPInt32.h,v $
/* Revision 1.1  1996/09/18 22:42:04  reza
/*  First release of DODS-DSP servers.
/*
*/

#ifndef _DSPInt32_h
#define _DSPInt32_h 1

#ifdef __GNUG__
#pragma interface
#endif

#include "Int32.h"
extern Int32 * NewInt32(const String &n = (char *)0);

class DSPInt32: public Int32 {
public:
    DSPInt32(const String &n = (char *)0);
    virtual ~DSPInt32() {}

    virtual BaseType *ptr_duplicate();
    
    virtual bool read(const String &dataset, int &error);
};

typedef DSPInt32 * DSPInt32Ptr;

#endif

