// -*- C++ -*-

// (c) COPYRIGHT URI/MIT 1994-1996
// Please read the full copyright statement in the file COPYRIGH.  
//
// Authors:
//      reza            Reza Nekovei (reza@intcomm.net)

// DSP sub-class implementation for DSPByte,...DSPGrid.
// The files are patterned after the subcalssing examples 
// Test<type>.c,h files.
//
// ReZa 8/25/96

/* $Log: DSPList.h,v $
/* Revision 1.1  1996/09/18 22:42:06  reza
/*  First release of DODS-DSP servers.
/*
*/

#ifndef _DSPList_h
#define _DSPList_h 1

#ifdef __GNUG__
#pragma interface
#endif

#include "List.h"
extern List * NewList(const String &n = (char *)0, BaseType *v = 0);

class DSPList: public List {
public:
    DSPList(const String &n = (char *)0, BaseType *v = 0);
    virtual ~DSPList();

    virtual BaseType *ptr_duplicate();

    virtual bool read(const String &dataset, int &error);
};

#endif

