// -*- C++ -*-

// (c) COPYRIGHT URI/MIT 1994-1996
// Please read the full copyright statement in the file COPYRIGH.  
//
// Authors:
//      reza            Reza Nekovei (reza@intcomm.net)

// DSP sub-class implementation for DSPByte,...DSPGrid.
// The files are patterned after the subcalssing examples 
// Test<type>.c,h files.
//
// ReZa 8/25/96

/* $Log: DSPSequence.h,v $
/* Revision 1.1  1996/09/18 22:42:08  reza
/*  First release of DODS-DSP servers.
/*
*/

#ifndef _DSPSequence_h
#define _DSPSequence_h 1

#ifdef _GNUG_
#pragma interface
#endif

#include "Sequence.h"
extern Sequence * NewSequence(const String &n = (char *)0);

class DSPSequence: public Sequence {
public:
    DSPSequence(const String &n = (char *)0);
    virtual ~DSPSequence();

    virtual BaseType *ptr_duplicate();

    virtual bool read(const String &dataset, int &error);
};

#endif
