
// (c) COPYRIGHT URI/MIT 1996
// Please read the full copyright statement in the file COPYRIGH.  
//
// Authors:
//	reza		Reza Nekovei (reza@intcomm.net)

// DSP sub-class implementation for DSPByte,...DSPGrid.
// The files are patterned after the subcalssing examples 
// Test<type>.c,h files.
//
// ReZa 8/25/96

// $Log: DSPUrl.cc,v $
// Revision 1.3  1998/08/06 16:32:11  jimg
// Fixed misuse of the read(...) member function. Return true if more data
// is to be read, false is if not and error if an error is detected
//
// Revision 1.2  1996/11/15 18:22:25  jimg
// Fixed copyright statement.
// Added include of config header
//
// Revision 1.1  1996/09/18 22:42:14  reza
//  First release of DODS-DSP servers.
//
//

#include "config_dsp.h"

static char rcsid[]={"$Id: DSPUrl.cc,v 1.3 1998/08/06 16:32:11 jimg Exp $"};

#ifdef __GNUG__
#pragma implementation
#endif

#include "DSPUrl.h"

Url *
NewUrl(const String &n)
{
    return new DSPUrl(n);
}

DSPUrl::DSPUrl(const String &n) : Url(n)
{
}

BaseType *
DSPUrl::ptr_duplicate()
{
    return new DSPUrl(*this);
}

bool
DSPUrl::read(const String &, int &error)
{
    error = 1;
    return false;
}
